//
// From SwiftUI by Example by Paul Hudson (@twostraws)
// https://www.hackingwithswift.com/quick-start/swiftui
// License: https://www.hackingwithswift.com/license
//

import StoreKit
import SwiftUI

struct ContentView: View {
    var body: some View {
        SubscriptionStoreView(productIDs:  ["com.hackingwithswift.plus.subscription"]) {
            VStack {
                Text("HWS+")
                    .font(.largeTitle)
                    .fontWeight(.black)
    
                Text("Take your Swift learning to the next level by subscribing to Hacking with Swift+!")
                    .multilineTextAlignment(.center)
            }
            .foregroundStyle(.white)
            .containerBackground(.blue.gradient, for: .subscriptionStore)
        }
        .storeButton(.visible, for: .restorePurchases, .redeemCode)
        .subscriptionStoreControlStyle(.prominentPicker)
    }
}

#Preview {
    ContentView()
}
